NAV
shell

Introduction

Welcome to ContactOut's API. Find anyone's email & phone number 10x faster with the most powerful sales and recruitment intelligence software available.

Authentication

To authorize, use this code:

# With shell, you can just pass the correct header with each request
curl "https://api.contactout.com" \
  -H "authorization: basic"
  -H "token: <YOUR_API_TOKEN>"

ContactOut uses API keys to allow access to the API. You can request an API key by booking a meeting here.

ContactOut expects the API key to be included in all API requests to the server in a header that looks like the following:

token : <YOUR_API_TOKEN>

Rate limits

People Search API: 60 requests per minute

Contact Checker APIs: 150 requests per minute per endpoint, 3000 requests per day shared across all Contact Checker APIs

Other APIs: 1000 requests per minute

LinkedIn Profile API

from LinkedIn URL

Get profile details for a single linkedin profile URL. The input only accepts LinkedIn regular URLs, not Sales Navigator or Talent / Recruiter LinkedIn products.

This API allows you to retrieve various details such as email addresses, phone numbers, work experience, education, skills, and more associated with a LinkedIn profile.


curl "  https://api.contactout.com/v1/linkedin/enrich?profile=https://www.linkedin.com/in/example-person" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>"

The above command returns JSON structured like this:

{
  "status_code": 200,
  "profile": {
    "url": "https://www.linkedin.com/in/example-person",
    "email": [
      "[email protected]",
      "[email protected]"
    ],
    "work_email": [
      "[email protected]"
    ],
    "personal_email": [
      "[email protected]"
    ],
    "phone": [
      "+1234567891"
    ],
    "github": [
      "github_name"
    ],
    "twitter": [
      "twitter_username"
    ],
    "full_name": "Example Person",
    "headline": "Manager, Business Operations & Marketing at OBM",
    "industry": "Broadcast Media",
    "company": {
      "name": "Legros, Smitham and Kessler",
      "url": "https://www.linkedin.com/company/legros-smitham-and-kessler",
      "linkedin_company_id": 12345678,
      "domain": "legros.com",
      "email_domain": "legros.com",
      "overview": "Legros, Smitham and Kessler is a publicly traded healthcare company specializing in pharmaceuticals, biotechnology, and medical devices. Founded in 2007 and headquartered in the United States, they are committed to advancing medical innovation and improving patient outcomes.",
      "type": "Public Company",
      "size": 50,
      "country": "United States",
      "revenue": 6101000,
      "founded_at": 2007,
      "industry": "Healthcare",
      "headquarter": "535 Kuhic Gardens Apt. 044",
      "website": "http://www.legros.com",
      "logo_url": "https://images.contactout.com/companies/25a15bc967bb55931fd47f7437aadbfe",
      "specialties": [
        "Healthcare",
        "Medical",
        "Pharmaceuticals",
        "Biotechnology",
        "Medical Devices"
      ],
      "locations": [
        "426 Lyda Unions, 551, Janniefort, New Hampshire, 56941-1470, Nicaragua",
        "308 Cassandra Harbor Apt. 751, 78817, Darionburgh, Louisiana, 18743, Timor-Leste"
      ]
    },
    "location": "Bermuda",
    "languages": [
      {
        "name": "English",
        "proficiency": "Full professional proficiency"
      }
    ],
    "country": "United States",
    "summary": "An experienced professional with over 19 years in Marketing (digital, print, radio, television), Communications, Content Creation, Copy Writing, Website Maintenance, Social Media Exploitation, Relationship Building, Business Development, Business Operations, Training and Leadership.\\n",
    "experience": [
      {
        "start_date": "20204",
        "end_date": "202112",
        "title": "Manager, Business Operations & Marketing",
        "summary": "Established in 1936, OBMI is a global master planning, architecture and design firm, with a rich history of shaping the architectural landscape of Bermuda. Within the firm, I support the OBMI Bermuda office on a multi-faceted level. My commitment to relationship building & client management, together with my passion and proficiency in marketing & communications, allows me to be an integral member of the team. Currently, my mandates include:Marketing\tLead all marketing initiatives for the OBMI Bermuda office\tCreation all print and digital ads for the local market\tCreate, design and execute the quarterly newsletter\tCopy & creative of OBMI Bermuda articles for local and international publication\tManage Google My Business content\tOversee see all aspects of the OBMI Bermuda website\tCapture and analyze various metrics to identify areas of enhancement\tExplore industry trends, best practices and innovative marketing solutions for potential adoptionBusiness Operations\tProject management \tClient relationship management\tVendor & consultant management\tOffice administration\tPrimary point of contact for Bermuda office\tCollaborate with corporate office in Miami on marketing & company-wide initiatives/roll-outs",
        "locality": "Hamilton, Bermuda",
        "company_name": "OBM International",
        "linkedin_url": "https://www.linkedin.com/company/obm-international",
        "domain": "obm.international",
        "logo_url": "https://images.contactout.com/companies/25a15bc967bb55931fd47f7437aadbfe",
        "start_date_year": 2020,
        "start_date_month": 4,
        "end_date_year": 2021,
        "end_date_month": 12,
        "is_current": false
      }
    ],
    "education": [
      {
        "field_of_study": "Journalism",
        "description": null,
        "start_date_year": "2002",
        "end_date_year": "2004",
        "degree": "Journalism",
        "school_name": "George Brown College"
      }
    ],
    "skills": [
      "Digital Marketing",
      "Content Creation",
      "Business Development",
      "Project Management",
      "Client Relationship Management"
    ],
    "certifications": [
      {
        "name": "Project Management Professional (PMP)",
        "authority": "Project Management Institute",
        "license": "12345678",
        "start_date_year": 2018,
        "start_date_month": 1,
        "end_date_year": 2024,
        "end_date_month": 1
      }
    ],
    "publications": [
      {
        "url": "https://example.com/publication1",
        "title": "The Future of Digital Marketing",
        "description": "An in-depth analysis of emerging trends in digital marketing and their impact on business growth.",
        "publisher": "Marketing Monthly",
        "authors": [
          "Example Person",
          "Co-Author Name"
        ],
        "published_on_year": 2022,
        "published_on_month": 5,
        "published_on_day": 10
      }
    ],
    "projects": [
      {
        "title": "Website Redesign Project",
        "description": "Led a team of designers and developers to completely revamp the company's website, resulting in a 40% increase in user engagement.",
        "start_date_year": 2019,
        "start_date_month": 6,
        "end_date_year": 2020,
        "end_date_month": 2
      }
    ],
    "volunteering_experiences": [
      {
        "role": "Career Coach",
        "company_name": "Local Community Center",
        "company_url": "https://www.linkedin.com/company/12345/",
        "cause": "education",
        "company_id": 12345,
        "start_date_year": 2018,
        "start_date_month": 4,
        "end_date_year": 2019,
        "end_date_month": 8
      }
    ],
    "followers": 1000,
    "job_function": "Design",
    "seniority": "Manager",
    "work_status": "open_to_work",
    "profile_picture_url": "https://images.contactout.com/profiles/ca33f14227b1e5d3a1d53b0b5ca36fc8",
    "updated_at": "2024-01-01 00:00:00"
  }
}

Empty Results

{
  "status_code": 200,
  "profile": []
}

HTTP Request

GET https://api.contactout.com/v1/linkedin/enrich?{profile=}

Query Parameters

Parameter Type Description
profile string, URL encoded, required The fully formed URL of the LinkedIn profile. URL must begin with http and must contain linkedin.com/in/ or linkedin.com/pub/
profile_only boolean, optional, default: false If set to true, returns the profile data without contact information.

Response Parameters

Field Type Description
status_code integer The HTTP status code of the response. Indicates the success or failure of the API request.
profile object Contains profile details related to the URL

url - The URL of the LinkedIn profile.

email - An array of email addresses associated with the profile.

work_email - An array of work email addresses associated with the profile.

personal_email An array of personal email addresses associated with the profile.

phone - An array of phone numbers associated with the profile.

github - An array of GitHub usernames associated with the profile.

twitter - An array of Twitter usernames associated with the profile.

full_name - The full name of the profile owner.

headline The headline or job title of the profile owner.

industry - The industry in which the profile owner works.

company - An object containing information about the current company of the profile owner, including name, URL, website, and headquarters location.

location - The location of the profile owner.

summary - A summary or description of the profile owner's professional background.

experience - An array of objects containing details about the profile owner's work experience, including start and end dates, job title, description, and company LinkedIn URL.

education - An array of objects containing details about the profile owner's education, including institution name, major, start and end dates, degrees, and profile URL.

skills - An array of skills associated with the profile owner.

certifications - An array of objects containing the certifications of the profile. Includes details like certification name, company, authority, license number and date.

publications - An array of objects containing the publications of the profile. Includes details like publication name, description and date.

projects - An array of objects containing the project details of the profile. Includes details like the project title, description, start date/month and end date/month.

volunteering_experiences - An array of objects containing the volunteering experience details of the profile. Includes details like the volunteer role, organization name, cause, start date/month and end date/month.

followers - The number of LinkedIn followers the profile has.

job_function - The functional area of the profile owner's current role (e.g., Engineering, Marketing, Sales).

seniority - The seniority level of the profile owner's current role (e.g., Entry Level, Manager, Vice President).

work_status - The current employment status of the profile owner ("open_to_work" or null).

profile_picture_url - The URL of the profile picture of the profile owner.

updated_at - The date and time when the profile was last updated.

Cost

Consumes 1 email credit if email is found and 1 phone credit if phone number is found.

Consumes 1 search credit if profile_only is set to true or if there is no contact information available for the requested profile.

from email address

Get profile details for a single email address. The match rate is typically higher with a personal email address as they change less frequently.

For work emails, if the domain is from a past employer, the API checks previous work experience to ensure accurate identification.


curl "https://api.contactout.com/v1/email/[email protected]" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>"

The above command returns JSON structured like this:

{
  "status_code": 200,
  "profile": {
    "email": "[email protected]",
    "workEmail": "[email protected]",
    "workEmailStatus": "Verified | Unverified",
    "fullName": "Bobbi Singh",
    "headline": "Manager, Business Operations & Marketing at OBM International",
    "industry": "Broadcast Media",
    "linkedinUrl": "https://www.linkedin.com/in/bobbisingh",
    "profilePictureUrl": "https://images.contactout.com/profiles/ca33f14227b1e5d3a1d53b0b5ca36fc8",
    "confidenceLevel": "",
    "altMatches": [],
    "phone": " +61.438347437",
    "twitter": "",
    "github": "",
    "company": {
      "name": "OBM International",
      "url": "https://www.linkedin.com/company/obm-international",
      "website": "http://obm.international",
      "linkedin_company_id": 12345678,
      "domain": "obm.international",
      "email_domain": "obm.international",
      "overview": "OBM International is a global master planning, architecture and design firm, with a rich history of shaping the architectural landscape of Bermuda. Founded in 1936 and headquartered in the United States, they are committed to advancing medical innovation and improving patient outcomes.",
      "type": "Public Company",
      "size": 50,
      "country": "United States",
      "revenue": 6101000,
      "founded_at": 1936,
      "industry": "Healthcare",
      "headquarter": "HQ",
      "logo_url": "https://images.contactout.com/companies/25a15bc967bb55931fd47f7437aadbfe",
      "specialties": [
        "Healthcare",
        "Medical",
        "Pharmaceuticals",
        "Biotechnology",
        "Medical Devices"
      ],
      "locations": [
        {
          "city": "Miami",
          "line1": "123 Business Ave",
          "line2": "Suite 100",
          "state": "Florida",
          "country": "United States",
          "postalCode": "33101",
          "description": "Headquarters"
        },
        {
          "city": "Hamilton",
          "line1": "456 Front Street",
          "line2": "",
          "state": "",
          "country": "Bermuda",
          "postalCode": "HM 12",
          "description": "Regional Office"
        }
      ]
    },
    "location": "Bermuda",
    "languages": [
      {
        "name": "English",
        "proficiency": "Full professional proficiency"
      }
    ],
    "summary": "An experienced professional with over 19 years in Marketing (digital, print, radio, television), Communications, Content Creation, Copy Writing, Website Maintenance, Social Media Exploitation, Relationship Building, Business Development, Business Operations, Training and Leadership.\\n",
    "experience": [
      {
        "start_date": "20204",
        "end_date": "202112",
        "title": "Manager, Business Operations & Marketing",
        "summary": "Established in 1936, OBMI is a global master planning, architecture and design firm, with a rich history of shaping the architectural landscape of Bermuda. Within the firm, I support the OBMI Bermuda office on a multi-faceted level. My commitment to relationship building & client management, together with my passion and proficiency in marketing & communications, allows me to be an integral member of the team. Currently, my mandates include:Marketing\tLead all marketing initiatives for the OBMI Bermuda office\tCreation all print and digital ads for the local market\tCreate, design and execute the quarterly newsletter\tCopy & creative of OBMI Bermuda articles for local and international publication\tManage Google My Business content\tOversee see all aspects of the OBMI Bermuda website\tCapture and analyze various metrics to identify areas of enhancement\tExplore industry trends, best practices and innovative marketing solutions for potential adoptionBusiness Operations\tProject management \tClient relationship management\tVendor & consultant management\tOffice administration\tPrimary point of contact for Bermuda office\tCollaborate with corporate office in Miami on marketing & company-wide initiatives/roll-outs",
        "locality": "Hamilton, Bermuda",
        "company_name": "OBM International",
        "linkedin_url": "https://www.linkedin.com/company/obm-international",
        "domain": "obm.international",
        "logo_url": "https://images.contactout.com/companies/25a15bc967bb55931fd47f7437aadbfe",
        "start_date_year": 2020,
        "start_date_month": 4,
        "end_date_year": 2021,
        "end_date_month": 12,
        "is_current": false
      }
    ],
    "education": [
      {
        "field_of_study": "Journalism",
        "description": null,
        "start_date_year": "2002",
        "end_date_year": "2004",
        "degree": "Journalism",
        "school_name": "George Brown College"
      }
    ],
    "skills": [
      "Digital Marketing",
      "Content Creation",
      "Business Development",
      "Project Management",
      "Client Relationship Management"
    ],
    "certifications": [
      {
        "title": "Project Management Professional (PMP)",
        "authority": "Project Management Institute",
        "license": "12345678",
        "start_date_year": 2018,
        "start_date_month": 1,
        "end_date_year": 2024,
        "end_date_month": 1
      }
    ],
    "publications": [
      {
        "url": "https://example.com/publication1",
        "title": "The Future of Digital Marketing",
        "description": "An in-depth analysis of emerging trends in digital marketing and their impact on business growth.",
        "publisher": "Marketing Monthly",
        "authors": [
          "Example Person",
          "Co-Author Name"
        ],
        "published_on_year": 2022,
        "published_on_month": 5,
        "published_on_day": 10
      }
    ],
    "projects": [
      {
        "title": "Website Redesign Project",
        "description": "Led a team of designers and developers to completely revamp the company's website, resulting in a 40% increase in user engagement.",
        "start_date_year": 2019,
        "start_date_month": 6,
        "end_date_year": 2020,
        "end_date_month": 2
      }
    ],
    "volunteeringExperiences": [
      {
        "role": "Career Coach",
        "company_name": "Local Community Center",
        "company_url": "https://www.linkedin.com/company/12345/",
        "cause": "education",
        "company_id": 12345,
        "start_date_year": 2018,
        "start_date_month": 4,
        "end_date_year": 2019,
        "end_date_month": 8
      }
    ],
    "followers": 1000,
    "jobFunction": "Design",
    "seniority": "Vice President",
    "workStatus": "open_to_work",
    "updatedAt": "2024-01-01 00:00:00"
  }
}

Empty Results

{
  "status_code": 404,
  "message": "Not Found"
}

HTTP Request

GET https://api.contactout.com/v1/email/enrich?{email=}

Query Parameters

Parameter Type Description
email string, required Email Address
include string, optional Data to be returned. Currently support work_email

Response Parameters

Field Type Description
status_code integer The HTTP status code of the response. Indicates the success or failure of the API request.
profile object object containing all profile details associated with the email address. Also includes phone number if available.

email - The user's personal email address.

workEmail - The user's work email address. (if include=work_email in request)

workEmailStatus - The status of the work email address, whether it's verified or unverified

fullName - The full name of the user.

headline - The job title or professional headline of the user.

industry - The industry in which the user works.

linkedinUrl - The LinkedIn profile URL of the user.

profilePictureUrl - The profile picture URL of the user.

confidenceLevel - Confidence level in the accuracy of the profile information.

altMatches - Alternative matches or suggestions related to the user's profile.

phone - The user's phone number.

twitter - The user's Twitter handle.

github - The user's GitHub username.

company - An object containing information about the user's current company.

name - The name of the user's company.

url - The LinkedIn URL of the company.

website - The website URL of the company.

headquarter- Location of the company's headquarters.

locations - An array containing details of the company's locations.

location - The current location of the user.

summary - A brief summary of the user's professional experience and skills.

experience - An array containing details of the user's work experience.

education - An array containing details of the user's educational background.

skills - An array containing the user's skills and expertise.

certifications - An array of objects containing the certifications of the profile. Includes details like certification name, company, authority, license number and date.

publications - An array of objects containing the publications of the profile. Includes details like publication name, description and date.

projects - An array of objects containing the project details of the profile. Includes details like the project title, description, start date/month and end date/month.

volunteeringExperiences - An array of objects containing the volunteering experience details of the profile. Includes details like the volunteer role, organization name, cause, start date/month and end date/month.

followers - The number of LinkedIn followers the profile has.

updatedAt - The date and time when the profile was last updated.

Cost

Consumes 1 email credit if email is found and 1 phone credit if phone number is found.

People Enrich API

Get profile details using a combination of data points such as name, email, phone, LinkedIn URL, company information, education, and location. This endpoint provides flexible enrichment by allowing you to provide multiple identifying parameters to find and enrich a person's profile.

By default, this endpoint returns profile information without contact details. To include contact information such as email addresses and phone numbers, you must specify the include parameter with the desired contact types.


curl -X POST "https://api.contactout.com/v1/people/enrich" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '{
  "full_name": "Jane Doe",
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "[email protected]",
  "phone": "+14155552671",
  "linkedin_url": "https://linkedin.com/in/janedoe",
  "company": ["paypal", "stripe"],
  "company_domain": ["stripe.com"],
  "job_title": "Product Manager",
  "location": "San Francisco, CA",
  "education": ["University of Melbourne"],
  "include": ["work_email", "personal_email", "phone"]
}'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "profile": {
    "url": "https://www.linkedin.com/in/example-person",
    "email": [
      "[email protected]",
      "[email protected]"
    ],
    "work_email": [
      "[email protected]"
    ],
    "personal_email": [
      "[email protected]"
    ],
    "phone": [
      "+1234567891"
    ],
    "github": [
      "github_name"
    ],
    "twitter": [
      "twitter_username"
    ],
    "full_name": "Example Person",
    "headline": "Manager, Business Operations & Marketing at OBM",
    "industry": "Broadcast Media",
    "company": {
      "name": "Legros, Smitham and Kessler",
      "url": "https://www.linkedin.com/company/legros-smitham-and-kessler",
      "linkedin_company_id": 12345678,
      "domain": "legros.com",
      "email_domain": "legros.com",
      "overview": "Legros, Smitham and Kessler is a publicly traded healthcare company specializing in pharmaceuticals, biotechnology, and medical devices. Founded in 2007 and headquartered in the United States, they are committed to advancing medical innovation and improving patient outcomes.",
      "type": "Public Company",
      "size": 50,
      "country": "United States",
      "revenue": 6101000,
      "founded_at": 2007,
      "industry": "Healthcare",
      "headquarter": "535 Kuhic Gardens Apt. 044",
      "website": "http://www.legros.com",
      "logo_url": "https://images.contactout.com/companies/25a15bc967bb55931fd47f7437aadbfe",
      "specialties": [
        "Healthcare",
        "Medical",
        "Pharmaceuticals",
        "Biotechnology",
        "Medical Devices"
      ],
      "locations": [
        "426 Lyda Unions, 551, Janniefort, New Hampshire, 56941-1470, Nicaragua",
        "308 Cassandra Harbor Apt. 751, 78817, Darionburgh, Louisiana, 18743, Timor-Leste"
      ]
    },
    "location": "Bermuda",
    "languages": [
      {
        "name": "English",
        "proficiency": "Full professional proficiency"
      }
    ],
    "country": "United States",
    "summary": "An experienced professional with over 19 years in Marketing (digital, print, radio, television), Communications, Content Creation, Copy Writing, Website Maintenance, Social Media Exploitation, Relationship Building, Business Development, Business Operations, Training and Leadership.\\n",
    "experience": [
      {
        "start_date": "20204",
        "end_date": "202112",
        "title": "Manager, Business Operations & Marketing",
        "summary": "Established in 1936, OBMI is a global master planning, architecture and design firm, with a rich history of shaping the architectural landscape of Bermuda. Within the firm, I support the OBMI Bermuda office on a multi-faceted level. My commitment to relationship building & client management, together with my passion and proficiency in marketing & communications, allows me to be an integral member of the team. Currently, my mandates include:Marketing\tLead all marketing initiatives for the OBMI Bermuda office\tCreation all print and digital ads for the local market\tCreate, design and execute the quarterly newsletter\tCopy & creative of OBMI Bermuda articles for local and international publication\tManage Google My Business content\tOversee see all aspects of the OBMI Bermuda website\tCapture and analyze various metrics to identify areas of enhancement\tExplore industry trends, best practices and innovative marketing solutions for potential adoptionBusiness Operations\tProject management \tClient relationship management\tVendor & consultant management\tOffice administration\tPrimary point of contact for Bermuda office\tCollaborate with corporate office in Miami on marketing & company-wide initiatives/roll-outs",
        "locality": "Hamilton, Bermuda",
        "company_name": "OBM International",
        "linkedin_url": "https://www.linkedin.com/company/obm-international",
        "domain": "obm.international",
        "logo_url": "https://images.contactout.com/companies/25a15bc967bb55931fd47f7437aadbfe",
        "start_date_year": 2020,
        "start_date_month": 4,
        "end_date_year": 2021,
        "end_date_month": 12,
        "is_current": false
      }
    ],
    "education": [
      {
        "field_of_study": "Journalism",
        "description": null,
        "start_date_year": "2002",
        "end_date_year": "2004",
        "degree": "Journalism",
        "school_name": "George Brown College"
      }
    ],
    "skills": [
      "Digital Marketing",
      "Content Creation",
      "Business Development",
      "Project Management",
      "Client Relationship Management"
    ],
    "certifications": [
      {
        "name": "Project Management Professional (PMP)",
        "authority": "Project Management Institute",
        "license": "12345678",
        "start_date_year": 2018,
        "start_date_month": 1,
        "end_date_year": 2024,
        "end_date_month": 1
      }
    ],
    "publications": [
      {
        "url": "https://example.com/publication1",
        "title": "The Future of Digital Marketing",
        "description": "An in-depth analysis of emerging trends in digital marketing and their impact on business growth.",
        "publisher": "Marketing Monthly",
        "authors": [
          "Example Person",
          "Co-Author Name"
        ],
        "published_on_year": 2022,
        "published_on_month": 5,
        "published_on_day": 10
      }
    ],
    "projects": [
      {
        "title": "Website Redesign Project",
        "description": "Led a team of designers and developers to completely revamp the company's website, resulting in a 40% increase in user engagement.",
        "start_date_year": 2019,
        "start_date_month": 6,
        "end_date_year": 2020,
        "end_date_month": 2
      }
    ],
    "volunteering_experiences": [
      {
        "role": "Career Coach",
        "company_name": "Local Community Center",
        "company_url": "https://www.linkedin.com/company/12345/",
        "cause": "education",
        "company_id": 12345,
        "start_date_year": 2018,
        "start_date_month": 4,
        "end_date_year": 2019,
        "end_date_month": 8
      }
    ],
    "followers": 1000,
    "job_function": "Design",
    "seniority": "Manager",
    "work_status": "open_to_work",
    "profile_picture_url": "https://images.contactout.com/profiles/ca33f14227b1e5d3a1d53b0b5ca36fc8",
    "updated_at": "2024-01-01 00:00:00"
  }
}

Empty Results

{
  "status_code": 404,
  "message": "Not Found"
}

HTTP Request

POST https://api.contactout.com/v1/people/enrich

Request Parameters

Primary Parameters:

Parameter Type Description
linkedin_url string, optional LinkedIn profile URL
email string, optional Email address
phone string, optional Phone number

Name Parameters:

Parameter Type Description
full_name string, optional Full name of the person
first_name string, optional First name (must be used with last_name)
last_name string, optional Last name (must be used with first_name)

Secondary Parameters (required when using name parameters):

Parameter Type Description
company array, optional, max:10 Array of company names
company_domain array, optional, max:10 Array of company domains
education array, optional, max:10 Array of educational institutions
location string, optional Location/city
job_title string, optional Job title

Include Parameters:

Parameter Type Description
include array, optional Data to include: work_email, personal_email, phone

Response Parameters

Field Type Description
status_code integer The HTTP status code of the response. Indicates the success or failure of the API request.
profile object Object containing all profile details associated with the provided parameters.

email - The user's personal email address.

workEmail - The user's work email address (if include=work_email in request).

workEmailStatus - The status of the work email address, whether it's verified or unverified.

fullName - The full name of the user.

headline - The job title or professional headline of the user.

industry - The industry in which the user works.

linkedinUrl - The LinkedIn profile URL of the user.

profilePictureUrl - The profile picture URL of the user.

confidenceLevel - Confidence level in the accuracy of the profile information.

altMatches - Alternative matches or suggestions related to the user's profile.

phone - The user's phone number.

twitter - The user's Twitter handle.

github - The user's GitHub username.

company - An object containing information about the user's current company including name, URL, website, headquarters, locations, and other company details.

location - The current location of the user.

summary - A brief summary of the user's professional experience and skills.

experience - An array containing details of the user's work experience.

education - An array containing details of the user's educational background.

skills - An array containing the user's skills and expertise.

certifications - An array of objects containing the certifications of the profile.

publications - An array of objects containing the publications of the profile.

projects - An array of objects containing the project details of the profile.

volunteering_experiences - An array of objects containing the volunteering experience details of the profile.

followers - The number of LinkedIn followers the profile has.

jobFunction - The functional area of the user's current role (e.g., Engineering, Marketing, Sales).

seniority - The seniority level of the user's current role (e.g., Entry Level, Manager, Vice President).

workStatus - The current employment status of the user ("open_to_work" or null).

updatedAt - The date and time when the profile was last updated.

Cost

Consumes 1 search credit if a profile was found.

Consumes 1 email credit if email is found and 1 phone credit if phone number is found.

Contact Info API - Single

from LinkedIn Profile

Get contact details for a single LinkedIn profile. Requesting real-time work_emails via email_type=work may increase the response time. This endpoint does not provide real-time verified work_email by default. If you need it in the response, you must pass the additional argument: email_type.


curl "https://api.contactout.com/v1/people/linkedin?profile=https://www.linkedin.com/in/example-person&include_phone=true" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>"

The above command returns JSON structured like this:

{
  "status_code": 200,
  "profile": {
    "url": "https://www.linkedin.com/in/example-person",
    "email": [
      "[email protected]",
      "[email protected]"
    ],
    "work_email": [
      "[email protected]"
    ],
    "work_email_status": {
      "[email protected]": "Verified | Unverified"
    },
    "personal_email": [
      "[email protected]"
    ],
    "phone": [
      "phone number 1"
    ],
    "github": [
      "github_name"
    ]
  }
}

Empty Results

{
  "status_code": 404,
  "message": "Not Found"
}

HTTP Request

GET https://api.contactout.com/v1/people/linkedin?{profile=&include_phone=}

Query Parameters

Parameter Type Description
profile profile: (string, URL encoded, required) The fully formed URL of the LinkedIn profile. URL must begin with http and must contain linkedin.com/in/ or linkedin.com/pub/
include_phone boolean, optional, Defaults to false If set to true, it will include phone information in the response and deduct phone credits.
email_type string, optional email_type=personal — Returns only personal emails

email_type=work — Returns only work emails

email_type=personal,work — Returns both personal and work emails

email_type=none — Returns no emails and consumes no email credits

By default, both personal and work emails are returned.

Response Parameters

Field Type Description
status_code integer The HTTP status code of the response.
profile object An object containing contact details for the LinkedIn profile.

url - The URL of the LinkedIn profile.

email - An array of email addresses associated with the profile.

work_email - An array of work email addresses.

work_email_status - A dictionary indicating the verification status of work emails.

personal_email - An array of personal email addresses.

phone - An array of phone numbers associated with the profile.

github - An array of GitHub usernames associated with the profile.

Cost

Consumes 1 email credit if email is found and 1 phone credit if phone number is found (and include_phone is set to true).

Contact Info API - Bulk

V1 Bulk ContactInfo

Get contact details for a batch of 100 LinkedIn Profiles per API call

curl 'https://api.contactout.com/v1/people/linkedin/batch' \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '{
    "profiles": [
        "https://linkedin.com/in/example-person-1",
        "https://linkedin.com/in/example-person-2",
        "https://linkedin.com/in/example-person-3"
    ]
}'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "profiles": {
    "https://linkedin.com/in/example-person-1": [
      "[email protected]",
      "[email protected]",
      "[email protected]"
    ],
    "https://linkedin.com/in/example-person-2": [
      "[email protected]"
    ],
    "https://linkedin.com/in/example-person-3": [
      "[email protected]"
    ]
  }
}

If no contact info found

{
  "status_code": 200,
  "profiles": {
    "https://linkedin.com/in/example-person-1": [],
    "https://linkedin.com/in/example-person-2": [],
    "https://linkedin.com/in/example-person-3": []
  }
}

When include_phone parameter is set to true, phone numbers will also be included in the response if available. The response structure changes to include both emails and phones arrays for each profile.

curl 'https://api.contactout.com/v1/people/linkedin/batch' \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '{
    "profiles": [
        "https://linkedin.com/in/example-person-1",
        "https://linkedin.com/in/example-person-2",
        "https://linkedin.com/in/example-person-3"
    ],
    "include_phone": true
}'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "profiles": {
    "https://linkedin.com/in/example-person-1": {
      "emails": [
        "[email protected]"
      ],
      "phones": [
        "+1234567890"
      ]
    },
    "https://linkedin.com/in/example-person-2": {
      "emails": [
        "[email protected]",
        "[email protected]"
      ],
      "phones": []
    },
    "https://linkedin.com/in/example-person-3": {
      "emails": [],
      "phones": []
    }
  }
}

If no contact info found

{
  "status_code": 200,
  "profiles": {
    "https://linkedin.com/in/example-person-1": {
      "emails": [],
      "phones": []
    },
    "https://linkedin.com/in/example-person-2": {
      "emails": [],
      "phones": []
    },
    "https://linkedin.com/in/example-person-3": {
      "emails": [],
      "phones": []
    }
  }
}

HTTP Request

POST https://api.contactout.com/v1/people/linkedin/batch

Query Parameters

Parameter Type Description
profiles Array, required, max:100 An array of LinkedIn profile URLs. URL must begin with http and must contain linkedin.com/in/ or linkedin.com/pub/
include_phone Boolean, optional, default: false If set to true, phone numbers will be included in the response if available. Requires phone credits.
email_type string, optional email_type=personal — Returns only personal emails

email_type=work — Returns only work emails

email_type=personal,work — Returns both personal and work emails

By default, both personal and work emails are returned.

Response Parameters

Field Type Description
status_code integer The HTTP status code of the response. Indicates the success or failure of the API request.
profiles object Keys are LinkedIn profile URLs from the request.

If include_phone is false or omitted, each value is an array of email addresses.

If include_phone is true, each value is an object with emails and phones arrays.

Inputs that omit http or fail validation still return an entry using the matching array or object shape above.

Cost

V2 Bulk ContactInfo

Improves upon v1 by incorporating ContactOut's real-time work email finder. If no work email is found in ContactOut's database, the system attempts to guess and verify one in real-time.

curl 'https://api.contactout.com/v2/people/linkedin/batch' \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '{
    "callback_url": "https://your-website/enrich-callback-endpoint",
    "profiles": [
        "https://linkedin.com/in/example-person-1",
        "https://linkedin.com/in/example-person-2",
        "https://linkedin.com/in/example-person-3"
    ],
    "include_phone": true
}'

The above command returns JSON structured like this:

{
  "status": "QUEUED",
  "job_id": "96d1c156-fc66-46ef-b053-be6dbb45cf1f"
}

If you include a callback_url in your POST request, we deliver the results to that URL automatically once the job finishes — no polling needed. The webhook payload is structured like this:

{
  "job_id": "96d1c156-fc66-46ef-b053-be6dbb45cf1f",
  "profiles": {
    "https://www.linkedin.com/in/example-person-1": {
      "emails": [
        "[email protected]"
      ],
      "personal_emails": [],
      "work_emails": [
        "[email protected]"
      ],
      "phones": [
        "+1234567890"
      ]
    },
    "https://www.linkedin.com/in/example-person-2": {
      "emails": [
        "[email protected]",
        "[email protected]"
      ],
      "personal_emails": [
        "[email protected]"
      ],
      "work_emails": [
        "[email protected]"
      ],
      "phones": []
    },
    "https://www.linkedin.com/in/example-person-3": {
      "emails": [
        "[email protected]",
        "[email protected]"
      ],
      "personal_emails": [
        "[email protected]"
      ],
      "work_emails": [
        "[email protected]"
      ],
      "phones": [
        "+0987654321"
      ]
    }
  }
}

To get the contact information via GET

curl "https://api.contactout.com/v2/people/linkedin/batch/96d1c156-fc66-46ef-b053-be6dbb45cf1f" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>"

The above command returns JSON structured like this:

{
  "data": {
    "uuid": "96d1d610-f163-484e-a433-3006c862c14d",
    "status": "SENT",
    "result": {
      "https://www.linkedin.com/in/example-person-1": {
        "emails": [
          "[email protected]"
        ],
        "personal_emails": [],
        "work_emails": [
          "[email protected]"
        ],
        "phones": [
          "+1234567890"
        ]
      },
      "https://www.linkedin.com/in/example-person-2": {
        "emails": [
          "[email protected]",
          "[email protected]"
        ],
        "personal_emails": [
          "[email protected]"
        ],
        "work_emails": [
          "[email protected]"
        ],
        "phones": []
      },
      "https://www.linkedin.com/in/example-person-3": {
        "emails": [
          "[email protected]",
          "[email protected]"
        ],
        "personal_emails": [
          "[email protected]"
        ],
        "work_emails": [
          "[email protected]"
        ],
        "phones": [
          "+0987654321"
        ]
      }
    }
  }
}

POST HTTP Request

POST https://api.contactout.com/v2/people/linkedin/batch

Initiate a bulk contact info lookup.

Request Parameters

Parameter Type Description
callback_url String, optional A URL where the results will be posted once the enrichment operation is completed.
profiles Array, required, Max:1000 An array of LinkedIn profile URLs. URL must begin with http and must contain linkedin.com/in/ or linkedin.com/pub/
include_phone Boolean, optional, default: false If set to true, phone numbers will be included in the response if available. Requires phone credits.
email_type string, optional email_type=personal — Returns only personal emails

email_type=work — Returns only work emails

email_type=personal,work — Returns both personal and work emails

email_type=none — Returns no emails and consumes no email credits

By default, both personal and work emails are returned.

Response Parameters

Field Type Description
status string The initial job status (e.g., QUEUED).
job_id string The unique identifier for the bulk job.

Webhook Payload Parameters

When you include a callback_url in your initial POST request, we deliver the results to that URL automatically once the job finishes. The payload is sent as a POST request with a JSON body containing the fields below.

Field Type Description
job_id string The same job_id returned by the initial POST response. Use this to match the webhook delivery to the original request.
profiles object An object containing multiple LinkedIn profiles and their associated contact information.

emails - An array of all email addresses associated with the LinkedIn profile.

personal_emails - An array of personal email addresses associated with the LinkedIn profile.

work_emails - An array of work email addresses associated with the LinkedIn profile.

phones - An array of phone numbers associated with the LinkedIn profile (if include_phone is true).

GET HTTP Request

GET https://api.contactout.com/v2/people/linkedin/batch/{job_id}

Check job status and retrieve contact info results using the job_id.

Response Parameters

Field Type Description
uuid string The unique identifier for the bulk job. This is the same value as job_id from the POST response. Use it to call GET https://api.contactout.com/v2/people/linkedin/batch/{job_id}.
status string The status of the email lookup request (e.g., SENT indicating the request has been sent)
result object An object containing multiple LinkedIn profiles and their associated contact information.

emails - An array of all email addresses associated with the LinkedIn profile.

personal_emails - An array of personal email addresses associated with the LinkedIn profile.

work_emails - An array of work email addresses associated with the LinkedIn profile.

phones - An array of phone numbers associated with the LinkedIn profile (if include_phone is true).

Cost

Company information from domains

Get company information based on given input domains.


curl "https://api.contactout.com/v1/domain/enrich" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '{
    "domains": [
        "test.com"
    ]
}'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "companies": {
    "test.com": {
      "li_vanity": "https://www.linkedin.com/company/test",
      "name": "Test",
      "domain": "test.com",
      "description": "This company specializes in innovative software solutions to streamline business operations and enhance productivity.",
      "website": "http://test.com",
      "logo_url": "https://images.contactout.com/companies/328ffa89a83a83042329f8181b7fbfaf",
      "type": "Privately Held",
      "headquarter": "San Francisco, US",
      "country": "United States",
      "size": 89,
      "founded_at": 2015,
      "locations": [
        "San Francisco, US"
      ],
      "industry": "Computer Software",
      "specialties": [],
      "technologies": [
        "HubSpot",
        "AWS"
      ],
      "revenue": "$5.4M",
      "employees": 120,
      "followers": 3000,
      "funding": {
        "total_funding_usd": 2000000,
        "rounds": [
          {
            "funding_type": "Seed",
            "announced_date": "2022-06-01",
            "investor_names": [
              "Investor C"
            ],
            "lead_investors": [
              "Investor C"
            ],
            "money_raised_usd": 2000000,
            "number_of_investors": 1
          }
        ],
        "funding_status": "Active",
        "latest_date": "2022-06-01",
        "number_of_funding_rounds": 1
      }
    }
  }
}

Empty Results

{
  "status_code": 200,
  "companies": {
    "test.com": {}
  }
}

HTTP Request

POST https://api.contactout.com/v1/domain/enrich

Query Parameters

Parameter Type Description
domains array, required, max:30 An array of domain names. Each domain should be in a valid format, for ex: example.com

Response Parameters

Field Type Description
status_code integer HTTP status code indicating the success or failure of the request.
companies object An object containing information about the company associated with the provided domain. Domains with no matching company return an empty object {}.

company_domain - The domain name of the company, serving as the key for the company object.

li_vanity-LinkedIn vanity URL for the company.

name - Name of the company.

domain - Domain name of the company.

description - Brief description of the company.

website - URL of the company's website.

logo_url - URL of the company's logo image.

type - Type of the company (e.g., Privately Held, Public).

headquarter - Headquarters location of the company.

country - Country where the company is located.

size - Size of the company (e.g., number of employees).

founded_at - Year the company was founded.

locations - Array containing locations where the company operates.

city - City of the location.

country - Country of the location.

isPrimary - Indicates if this location is the primary one.

industry - Industry in which the company operates.

specialties - Specialties or areas of expertise of the company

technologies - Array of technologies used by the company.

revenue - Revenue of the company.

employees - Number of employees on LinkedIn.

followers - Number of LinkedIn followers.

funding - Funding summary object. Contains total_funding_usd, rounds, funding_status, latest_date, number_of_funding_rounds.

Cost

Consumes 1 search credit for each company found.

People Search API

Get profiles matching the search criteria.

curl "https://api.contactout.com/v1/people/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '
  {
    "page": 1,
    "page_size": 25,
    "name": "John Smith",
    "job_title": [
      "Vice President",
      "VP Of Product"
    ],
    "exclude_job_titles": [
      "Sales"
    ],
    "include_related_job_titles": false,
    "job_function": ["arts and design"],
    "seniority": ["director"],
    "skills": [
      "Network Security",
      "Networking"
    ],
    "languages": [
      {
        "language": "english"
      },
      {
        "language": "japanese",
        "proficiency": ["elementary"]
      }
    ],
    "education": [
      "Doctorate Degree",
      "Vertapple University"
    ],
    "educations": [
      {
        "school_name": "Harvard University",
        "field_of_study": "Business Administration",
        "location": "Cambridge"
      }
    ],
    "location": [
      "Sydney, Australia"
    ],
    "location_radius": 50,
    "current_work_location": [
      "San Francisco"
    ],
    "past_work_location": [
      "Sydney",
      "Singapore"
    ],
    "company": [
      "ContactOut"
    ],
    "is_currently_working": true,
    "exclude_companies": [
      "Google"
    ],
    "match_experience": "current",
    "domain":[
      "https://contactout.com"
    ],
    "industry": [
      "Computer Software",
      "Computer Networking"
    ],
    "keyword": "Computer Networking",
    "company_size": [
      "1_10",
      "11_50"
    ],
    "min_funding_amount": 1000000,
    "max_funding_amount": 50000000,
    "recently_funded": true,
    "years_of_experience": [
      "6_10",
      "10"
    ],
    "years_in_current_role": [
      "8_10",
      "10"
    ],
    "recently_changed_jobs": false,
    "data_types" : [
      "personal_email",
      "work_email",
      "phone"
    ],
    "reveal_info" : true,
    "detailed_experience": false,
    "detailed_education": false
  }
'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "metadata": {
    "page": 1,
    "page_size": 25,
    "total_results": 45
  },
  "profiles": {
    "https://linkedin.com/in/at-JqjtXv": {
      "li_vanity": "at-JqjtXv",
      "full_name": "Llewellyn Ruecker",
      "title": "Research Assistant",
      "headline": "Research Assistant at Legros, Smitham and Kessler",
      "company": {
        "name": "Legros, Smitham and Kessler",
        "url": "https://www.linkedin.com/company/legros-smitham-and-kessler",
        "domain": "legros.com",
        "email_domain": "legros.com",
        "overview": "Legros, Smitham and Kessler is a publicly traded healthcare company specializing in pharmaceuticals, biotechnology, and medical devices. Founded in 2007 and headquartered in the United States, they are committed to advancing medical innovation and improving patient outcomes.",
        "type": "Public Company",
        "size": 50,
        "country": "United States",
        "revenue": 6101000,
        "founded_at": 2007,
        "industry": "Healthcare",
        "headquarter": "535 Kuhic Gardens Apt. 044",
        "website": "http://www.legros.com",
        "logo_url": "https://images.contactout.com/companies/25a15bc967bb55931fd47f7437aadbfe",
        "specialties": [
          "Healthcare",
          "Medical",
          "Pharmaceuticals",
          "Biotechnology",
          "Medical Devices"
        ],
        "locations": [
          "426 Lyda Unions, 551, Janniefort, New Hampshire, 56941-1470, Nicaragua",
          "308 Cassandra Harbor Apt. 751, 78817, Darionburgh, Louisiana, 18743, Timor-Leste"
        ]
      },
      "location": "Faheybury",
      "country": "United States",
      "industry": "Dr. Trenton Hane III",
      "experience": [
        "Research Assistant at Legros, Smitham and Kessler in 2014 - Present"
      ],
      "education": [
        "Doctorate Degree at Vertapple University in 2017 - 2021"
      ],
      "skills": [
        "Research",
        "Algorithms",
        "Budget Planning",
        "Storage",
        "Requirements Gathering",
        "Coding"
      ],
      "summary": "An experienced professional with over 19 years in Marketing (digital, print, radio, television), Communications, Content Creation, Copy Writing, Website Maintenance, Social Media Exploitation, Relationship Building, Business Development, Business Operations, Training and Leadership.",
      "languages": [
        {
          "name": "English",
          "proficiency": "Full professional proficiency"
        }
      ],
      "certifications": [
        {
          "name": "Project Management Professional (PMP)",
          "authority": "Project Management Institute",
          "license": "12345678",
          "start_date_year": 2018,
          "start_date_month": 1,
          "end_date_year": 2024,
          "end_date_month": 1
        }
      ],
      "publications": [
        {
          "url": "https://example.com/publication1",
          "title": "The Future of Digital Marketing",
          "description": "An in-depth analysis of emerging trends in digital marketing and their impact on business growth.",
          "publisher": "Marketing Monthly",
          "authors": [
            "Example Person",
            "Co-Author Name"
          ],
          "published_on_year": 2022,
          "published_on_month": 5,
          "published_on_day": 10
        }
      ],
      "projects": [
        {
          "title": "Website Redesign Project",
          "description": "Led a team of designers and developers to completely revamp the company's website, resulting in a 40% increase in user engagement.",
          "start_date_year": 2019,
          "start_date_month": 6,
          "end_date_year": 2020,
          "end_date_month": 2
        }
      ],
      "volunteering_experiences": [
        {
          "role": "Career Coach",
          "company_name": "Local Community Center",
          "company_url": "https://www.linkedin.com/company/12345/",
          "cause": "education",
          "company_id": 12345,
          "start_date_year": 2018,
          "start_date_month": 4,
          "end_date_year": 2019,
          "end_date_month": 8
        }
      ],
      "followers": 1000,
      "updated_at": "2023-03-31 00:00:00",
      "profile_picture_url": "https://images.contactout.com/profiles/ca33f14227b1e5d3a1d53b0b5ca36fc8",
      "job_function": "Design",
      "seniority": "Manager",
      "work_status": "open_to_work",
      "contact_availability": {
        "personal_email": true,
        "work_email": true,
        "phone": true
      },
      "contact_info": {
        "emails": [
          "[email protected]",
          "[email protected]"
        ],
        "personal_emails": [
          "[email protected]"
        ],
        "work_emails": [
          "[email protected]"
        ],
        "work_email_status": {
          "[email protected]": "Verified | Unverified"
        },
        "phones": [
          "+123456789"
        ]
      }
    }
  }
}

When detailed_experience or detailed_education are set to true, the response returns structured data for their corresponding fields:

{
  "status_code": 200,
  "metadata": {
    "page": 1,
    "page_size": 25,
    "total_results": 45
  },
  "profiles": {
    "https://linkedin.com/in/at-JqjtXv": {
      // other fields...
      "experience": [
        {
          "title": "Research Assistant",
          "summary": "Conducting research on machine learning algorithms and data analysis.",
          "locality": "San Francisco, CA",
          "company_name": "Legros, Smitham and Kessler",
          "start_date_year": 2014,
          "start_date_month": 3,
          "end_date_year": null,
          "end_date_month": null,
          "is_current": true,
          "linkedin_url": "https://www.linkedin.com/company/legros-smitham-and-kessler",
          "domain": "legros.com",
          "logo_url": "https://images.contactout.com/companies/25a15bc967bb55931fd47f7437aadbfe"
        }
      ],
      "education": [
        {
          "field_of_study": "Computer Science",
          "description": "Specialized in Machine Learning and Artificial Intelligence",
          "start_date_year": "2017",
          "end_date_year": "2021",
          "degree": "Doctorate Degree",
          "school_name": "Vertapple University",
          "url": "https://www.linkedin.com/school/vertapple-university/"
        }
      ]
    }
  }
}

No matching profiles

{
  "status_code": 200,
  "metadata": {
    "page": 1,
    "page_size": 25,
    "total_results": 0
  },
  "profiles": []
}

Invalid request when recently_changed_jobs is used with years_in_current_role

{
  "status_code": 400,
  "message": "The recently_changed_jobs parameter cannot be used with the years_in_current_role parameter."
}

HTTP Request

POST https://api.contactout.com/v1/people/search

Query Parameters

Parameter Type Description Accepts Boolean
name text Name of the profile No
job_title array, max:50 Accepts an array of job titles. Yes
past_job_title array, max:50 Returns profiles that held these job titles in past (non-current) roles. Cannot be combined with current_titles_only: false. Cannot be combined with match_experience when both job_title and company are set. Yes
job_function array, max:50 Accepts an array of job functions to filter profiles by their functional area (e.g., Engineering, Marketing, Sales, Finance).
Accepted values
accounting
administrative
arts and design
business development
community and social services
consulting
customer success and support
education
engineering
entrepreneurship
finance
healthcare services
human resources
information technology
leadership
legal
marketing
media and communication
military and protective services
operations
product management
program and project management
purchasing
quality assurance
real estate
research
sales
No
seniority array, max:50 Accepts an array of seniority levels to filter profiles by their career level.
Accepted values
owner / founder
cxo
partner
vp
head
director
manager
senior
entry
intern
No
current_titles_only boolean, default: true Returns profiles matching the current job title. If specified false, the response will return profiles matching the current or past job title. No
include_related_job_titles boolean, default: false Returns profiles with related job titles No
match_experience string, default: current Ensures job_title and company match in the same experience.

current – Returns profiles that match the current experience.

past – Returns profiles that match any past experience.

past_only – Returns profiles that match a past experience, excluding profiles that also have a current role at the same company.

both – Returns profiles matching either current or past experience.

If set, current_titles_only, company_filter, and current_company_only should not be used; otherwise, an error is returned.
No
skills array, max:50 Accepts an array of skills Yes
languages array, max:50 Accepts an array of language objects. Each object must have a language field (required string) and optionally a proficiency field (array of strings). If proficiency is not provided, any proficiency level is accepted.
Accepted values for proficiency
elementary
limited_working
professional_working
full_professional
native_or_bilingual
No
education array, max:50 Accepts an array of schools/degrees Yes
educations array, max:50 Accepts an array of education objects. Each object can have optional fields: school_name (string), field_of_study (string), and location (string). At least one field must be provided. No
location array, max:50 Accepts an array of locations No
location_radius integer Search radius in miles (1-500). Only works when location is provided and the location is a city / area. Filters profiles within the specified radius of the location. No
current_work_location array, max:50 Accepts an array of location strings (cities or countries). Filters profiles who currently work in any of the specified locations. No
past_work_location array, max:50 Accepts an array of location strings (cities or countries). Filters profiles who previously worked in any of the specified locations. No
company array, max:50 Accepts an array of company names No
past_company array, max:50 Returns profiles that worked at these companies in past (non-current) roles. Cannot be combined with company_filter set to past, past_only, or both. Cannot be combined with match_experience when both job_title and company are set. No
company_filter string, default: current current – Returns profiles matching the current company name

past – Returns profiles matching any past company name

past_only – Returns profiles where the company appears in past experience and is not their current employer.

both – Returns profiles matching either current or past experience
No
current_company_only boolean, default: true Returns profiles matching the current company name No
domain array, max:50 Accepts an array of domains No
industry array, max:50 Accepts an array of industries. Prefix an industry with NOT to exclude it (e.g. "NOT Computer Software").
Accepted values
Abrasives and Nonmetallic Minerals Manufacturing
Accessible Architecture and Design
Accessible Hardware Manufacturing
Accommodation and Food Services
Accounting
Administration of Justice
Administrative and Support Services
Advertising Services
Agricultural Chemical Manufacturing
Agriculture, Construction, Mining Machinery Manufacturing
Air, Water, and Waste Program Management
Airlines and Aviation
Alternative Dispute Resolution
Alternative Fuel Vehicle Manufacturing
Alternative Medicine
Ambulance Services
Amusement Parks and Arcades
Animal Feed Manufacturing
Animation
Animation and Post-production
Apparel & Fashion
Apparel Manufacturing
Appliances, Electrical, and Electronics Manufacturing
Architectural and Structural Metal Manufacturing
Architecture and Planning
Armed Forces
Artificial Rubber and Synthetic Fiber Manufacturing
Artists and Writers
Arts & Crafts
Audio and Video Equipment Manufacturing
Automation Machinery Manufacturing
Automotive
Aviation & Aerospace
Aviation and Aerospace Component Manufacturing
Baked Goods Manufacturing
Banking
Bars, Taverns, and Nightclubs
Bed-and-Breakfasts, Hostels, Homestays
Beverage Manufacturing
Biomass Electric Power Generation
Biotechnology
Biotechnology Research
Blockchain Services
Blogs
Boilers, Tanks, and Shipping Container Manufacturing
Book and Periodical Publishing
Book Publishing
Breweries
Broadcast Media Production and Distribution
Building Construction
Building Equipment Contractors
Building Finishing Contractors
Building Materials
Building Structure and Exterior Contractors
Business Consulting and Services
Business Content
Business Intelligence Platforms
Business Supplies & Equipment
Cable and Satellite Programming
Capital Markets
Caterers
Chemical Manufacturing
Chemical Raw Materials Manufacturing
Child Day Care Services
Chiropractors
Circuses and Magic Shows
Civic and Social Organizations
Civil Engineering
Claims Adjusting, Actuarial Services
Clay and Refractory Products Manufacturing
Climate Data and Analytics
Climate Technology Product Manufacturing
Coal Mining
Collection Agencies
Commercial and Industrial Equipment Rental
Commercial and Industrial Machinery Maintenance
Commercial and Service Industry Machinery Manufacturing
Commercial Real Estate
Communications Equipment Manufacturing
Community Development and Urban Planning
Community Services
Computer and Network Security
Computer Games
Computer Hardware
Computer Hardware Manufacturing
Computer Networking
Computer Networking Products
Computers and Electronics Manufacturing
Conservation Programs
Construction
Construction Hardware Manufacturing
Consumer Electronics
Consumer Goods
Consumer Goods Rental
Consumer Services
Correctional Institutions
Cosmetics
Cosmetology and Barber Schools
Courts of Law
Credit Intermediation
Cutlery and Handtool Manufacturing
Dairy
Dairy Product Manufacturing
Dance Companies
Data Infrastructure and Analytics
Data Security Software Products
Death Care Services
Defense & Space
Defense and Space Manufacturing
Dentists
Design
Design Services
Desktop Computing Software Products
Digital Accessibility Services
Distilleries
E-learning
E-Learning Providers
Economic Programs
Education
Education Administration Programs
Education Management
Electric Lighting Equipment Manufacturing
Electric Power Generation
Electric Power Transmission, Control, and Distribution
Electrical Equipment Manufacturing
Electronic and Precision Equipment Maintenance
Embedded Software Products
Emergency and Relief Services
Energy Technology
Engineering Services
Engines and Power Transmission Equipment Manufacturing
Entertainment
Entertainment Providers
Environmental Quality Programs
Environmental Services
Equipment Rental Services
Events Services
Executive Offices
Executive Search Services
Fabricated Metal Products
Facilities Services
Family Planning Centers
Farming
Farming, Ranching, Forestry
Fashion Accessories Manufacturing
Financial Services
Fine Art
Fine Arts Schools
Fire Protection
Fisheries
Flight Training
Food & Beverages
Food and Beverage Manufacturing
Food and Beverage Retail
Food and Beverage Services
Food Production
Footwear and Leather Goods Repair
Footwear Manufacturing
Forestry and Logging
Fossil Fuel Electric Power Generation
Freight and Package Transportation
Fruit and Vegetable Preserves Manufacturing
Fuel Cell Manufacturing
Fundraising
Funds and Trusts
Funeral Services
Furniture
Furniture and Home Furnishings Manufacturing
Gambling Facilities and Casinos
Geothermal Electric Power Generation
Glass Product Manufacturing
Glass, Ceramics and Concrete Manufacturing
Golf Courses and Country Clubs
Government Administration
Government Relations
Government Relations Services
Graphic Design
Ground Passenger Transportation
Health and Human Services
Health, Wellness & Fitness
Higher Education
Highway, Street, and Bridge Construction
Historical Sites
Holding Companies
Home Health Care Services
Horticulture
Hospitality
Hospitals
Hospitals and Health Care
Hotels and Motels
Household and Institutional Furniture Manufacturing
Household Appliance Manufacturing
Household Services
Housing and Community Development
Housing Programs
Human Resources
Human Resources Services
HVAC and Refrigeration Equipment Manufacturing
Hydroelectric Power Generation
Import & Export
Individual and Family Services
Industrial Automation
Industrial Machinery Manufacturing
Industry Associations
Information Services
Information Technology & Services
Insurance
Insurance Agencies and Brokerages
Insurance and Employee Benefit Funds
Insurance Carriers
Interior Design
International Affairs
International Trade and Development
Internet Marketplace Platforms
Internet News
Internet Publishing
Interurban and Rural Bus Services
Investment Advice
Investment Banking
Investment Management
IT Services and IT Consulting
IT System Custom Software Development
IT System Data Services
IT System Design Services
IT System Installation and Disposal
IT System Operations and Maintenance
IT System Testing and Evaluation
IT System Training and Support
Janitorial Services
Landscaping Services
Language Schools
Laundry and Drycleaning Services
Law Enforcement
Law Practice
Leasing Non-residential Real Estate
Leasing Residential Real Estate
Leather Product Manufacturing
Legal Services
Legislative Offices
Leisure, Travel & Tourism
Libraries
Lime and Gypsum Products Manufacturing
Loan Brokers
Luxury Goods & Jewelry
Machinery Manufacturing
Magnetic and Optical Media Manufacturing
Manufacturing
Maritime
Maritime Transportation
Market Research
Marketing Services
Mattress and Blinds Manufacturing
Measuring and Control Instrument Manufacturing
Meat Products Manufacturing
Mechanical Or Industrial Engineering
Media and Telecommunications
Media Production
Medical and Diagnostic Laboratories
Medical Device
Medical Equipment Manufacturing
Medical Practices
Mental Health Care
Metal Ore Mining
Metal Treatments
Metal Valve, Ball, and Roller Manufacturing
Metalworking Machinery Manufacturing
Military and International Affairs
Mining
Mobile Computing Software Products
Mobile Food Services
Mobile Gaming Apps
Motor Vehicle Manufacturing
Motor Vehicle Parts Manufacturing
Movies and Sound Recording
Movies, Videos, and Sound
Museums
Museums, Historical Sites, and Zoos
Music
Musicians
Nanotechnology Research
Natural Gas Distribution
Natural Gas Extraction
Newspaper Publishing
Non-profit Organization Management
Non-profit Organizations
Nonmetallic Mineral Mining
Nonresidential Building Construction
Nuclear Electric Power Generation
Nursing Homes and Residential Care Facilities
Office Administration
Office Furniture and Fixtures Manufacturing
Oil and Coal Product Manufacturing
Oil and Gas
Oil Extraction
Oil, Gas, and Mining
Online and Mail Order Retail
Online Audio and Video Media
Online Media
Operations Consulting
Optometrists
Outpatient Care Centers
Outsourcing and Offshoring Consulting
Outsourcing/Offshoring
Packaging & Containers
Packaging and Containers Manufacturing
Paint, Coating, and Adhesive Manufacturing
Paper & Forest Products
Paper and Forest Product Manufacturing
Parts Distribution
Pension Funds
Performing Arts
Performing Arts and Spectator Sports
Periodical Publishing
Personal and Laundry Services
Personal Care Product Manufacturing
Personal Care Services
Pet Services
Pharmaceutical Manufacturing
Philanthropic Fundraising Services
Philanthropy
Photography
Physical, Occupational and Speech Therapists
Physicians
Pipeline Transportation
Plastics and Rubber Product Manufacturing
Plastics Manufacturing
Political Organizations
Postal Services
Primary and Secondary Education
Primary Metal Manufacturing
Printing Services
Professional Organizations
Professional Services
Professional Training and Coaching
Program Development
Public Assistance Programs
Public Health
Public Policy
Public Policy Offices
Public Relations and Communications Services
Public Safety
Public Works
Racetracks
Radio and Television Broadcasting
Rail Transportation
Railroad Equipment Manufacturing
Ranching
Ranching and Fisheries
Real Estate
Real Estate Agents and Brokers
Real Estate and Equipment Rental Services
Recreational Facilities
Regenerative Design
Religious Institutions
Renewable Energy Equipment Manufacturing
Renewable Energy Power Generation
Renewable Energy Semiconductor Manufacturing
Renewables & Environment
Repair and Maintenance
Research
Research Services
Residential Building Construction
Restaurants
Retail
Retail Apparel and Fashion
Retail Appliances, Electrical, and Electronic Equipment
Retail Art Dealers
Retail Art Supplies
Retail Books and Printed News
Retail Building Materials and Garden Equipment
Retail Florists
Retail Furniture and Home Furnishings
Retail Gasoline
Retail Groceries
Retail Health and Personal Care Products
Retail Luxury Goods and Jewelry
Retail Motor Vehicles
Retail Musical Instruments
Retail Office Equipment
Retail Office Supplies and Gifts
Retail Pharmacies
Retail Recyclable Materials & Used Merchandise
Reupholstery and Furniture Repair
Robot Manufacturing
Robotics Engineering
Rubber Products Manufacturing
Satellite Telecommunications
Savings Institutions
School and Employee Bus Services
Seafood Product Manufacturing
Secretarial Schools
Securities and Commodity Exchanges
Security and Investigations
Security Guards and Patrol Services
Security Systems Services
Semiconductor Manufacturing
Semiconductors
Services for Renewable Energy
Services for the Elderly and Disabled
Sheet Music Publishing
Shipbuilding
Shuttles and Special Needs Transportation Services
Sightseeing Transportation
Skiing Facilities
Smart Meter Manufacturing
Soap and Cleaning Product Manufacturing
Social Networking Platforms
Software Development
Solar Electric Power Generation
Sound Recording
Space Research and Technology
Specialty Trade Contractors
Spectator Sports
Sporting Goods
Sporting Goods Manufacturing
Sports and Recreation Instruction
Sports Teams and Clubs
Spring and Wire Product Manufacturing
Staffing and Recruiting
Steam and Air-Conditioning Supply
Strategic Management Services
Subdivision of Land
Sugar and Confectionery Product Manufacturing
Surveying and Mapping Services
Taxi and Limousine Services
Technical and Vocational Training
Technology, Information and Internet
Technology, Information and Media
Telecommunications
Telecommunications Carriers
Telephone Call Centers
Temporary Help Services
Textile Manufacturing
Theater Companies
Think Tanks
Tobacco
Tobacco Manufacturing
Translation and Localization
Transportation Equipment Manufacturing
Transportation Programs
Transportation, Logistics, Supply Chain and Storage
Transportation/Trucking/Railroad
Travel Arrangements
Truck Transportation
Trusts and Estates
Turned Products and Fastener Manufacturing
Urban Transit Services
Utilities
Utilities Administration
Utility System Construction
Vehicle Repair and Maintenance
Venture Capital and Private Equity Principals
Veterinary
Veterinary Services
Vocational Rehabilitation Services
Warehousing
Warehousing and Storage
Waste Collection
Waste Treatment and Disposal
Water Supply and Irrigation Systems
Water, Waste, Steam, and Air Conditioning Services
Wellness and Fitness Services
Wholesale
Wholesale Alcoholic Beverages
Wholesale Apparel and Sewing Supplies
Wholesale Appliances, Electrical, and Electronics
Wholesale Building Materials
Wholesale Chemical and Allied Products
Wholesale Computer Equipment
Wholesale Drugs and Sundries
Wholesale Food and Beverage
Wholesale Footwear
Wholesale Furniture and Home Furnishings
Wholesale Hardware, Plumbing, Heating Equipment
Wholesale Import and Export
Wholesale Luxury Goods and Jewelry
Wholesale Machinery
Wholesale Metals and Minerals
Wholesale Motor Vehicles and Parts
Wholesale Paper Products
Wholesale Petroleum and Petroleum Products
Wholesale Photography Equipment and Supplies
Wholesale Raw Farm Products
Wholesale Recyclable Materials
Wind Electric Power Generation
Wine & Spirits
Wineries
Wireless Services
Women's Handbag Manufacturing
Wood Product Manufacturing
Writing and Editing
Zoos and Botanical Gardens
No
keyword text Returns profiles that contain the mentioned keyword anywhere in their profile Yes
company_size array Accepts an array of company size ranges by number of employees.
Accepted values
1_10 – 1-10 employees
11_50 – 11-50 employees
51_200 – 51-200 employees
201_500 – 201-500 employees
501_1000 – 501-1,000 employees
1001_5000 – 1,001-5,000 employees
5001_10000 – 5,001-10,000 employees
10001 – 10,001+ employees
No
min_funding_amount integer, min:0 Minimum total funding amount in USD of the current company. No
max_funding_amount integer, min:0 Maximum total funding amount in USD of the current company. Must be greater than min_funding_amount when both are set. No
recently_funded boolean If true, only returns profiles whose current company's latest funding round was in the last 12 months. No
years_of_experience array Accepts an array of ranges in the format X_Y where X and Y are integers representing the minimum and maximum years of experience. e.g. ["2_5", "6_10"] means 2-5 years OR 6-10 years. No
years_in_current_role array Accepts an array of ranges in the format X_Y where X and Y are integers representing the minimum and maximum years in current role. e.g. ["1_3", "4_6"] means 1-3 years OR 4-6 years in current role. Cannot be used with recently_changed_jobs. No
recently_changed_jobs boolean, default: false If set to true, returns profiles whose current job started within the last 3 calendar months. Cannot be used with years_in_current_role. No
is_currently_working boolean If true, returns only profiles with an active current role. If false, returns only profiles with no active current role. Omit to return both. No
page integer Provides results for the given page No
page_size integer, default: 25 Maximum number of profiles to return per page. Valid range is 1-25. When not provided, 25 profiles are returned. Search credits are charged only for the number of profiles returned. No
data_types array Returns profiles containing atleast one of the specified data types. It accepts an array of one more values from this list [personal_email, work_email, phone] No
reveal_info boolean, default: false If set to true, contact_info will contain the emails and phone numbers of the profile and credits will be charged No
detailed_experience boolean, default: false If set to true, the experience field returns detailed data like title, company_name, summary, start_date_year, start_date_month, end_date_year, end_date_month, is_current, linkedin_url, logo_url. If false, returns simple text strings. No
detailed_education boolean, default: false If set to true, the education field returns detailed data like school_name, degree, field_of_study, description, start_date_year, end_date_year, url. If false, returns simple text strings. No
exclude_job_titles array Accepts an array of job titles to exclude from results. No
exclude_companies array Accepts an array of company names to exclude from results. No
exclude_companies_filter string, default: both Applies when exclude_companies is non-empty.

current – Exclude if the company appears as the profile's current employer only.

past – Exclude if it appears in past roles only.

both – Exclude if it appears in either current or past experience.
No

Boolean Equations

Few input parameters mentioned in the table above can accept boolean equations as input. Check the "Accepts Boolean" column to know which input fields can accept boolean equations. You can use boolean equations to filter based on a specific criteria.

e.g. If you are looking for profiles who have the skills ReactJS and Python, but not Java, you can format the skills parameter as: { "skills": ["(ReactJS AND Python) NOT Java"] }. Always add brackets to ensure the boolean logic is applied correctly.

The same logic will apply for the rest of the mentioned paramters.

The supported boolean operators are:

Boolean operators must be capitalized. Lowercase and, or, and not are treated as part of the search phrase, not as operators. For example, Financial Planning and Analysis is searched as a single phrase.

For the industry parameter, prefix a value with NOT to exclude that industry (e.g. { "industry": ["NOT Computer Software", "Banking"] } returns profiles in Banking but not Computer Software). AND and OR are not supported for industry filters.

Response

Response contains the meta information and the matching list of profiles. Each profile contains the information like title, headline, company details, experience, skills etc. It also lists the contact availability and contact information fields.

Parameter Type Description
contact_info array Returns an array containing contact information including email and phone numbers
contact_availability array Returns an array determining whether the profile contains the contact information

For customizing the output fields, use the below command with list of fields to be returned in the output:

curl "https://api.contactout.com/v1/people/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '
  {
    "page": 1,
    "name": "John Smith",
    "output_fields" : [
        "title",
        "li_vanity"
    ]
  }

The above command returns JSON structured like this:

{
  "status_code": 200,
  "metadata": {
    "page": 1,
    "page_size": 25,
    "total_results": 0
  },
  "profiles": {
    "https://linkedin.com/in/at-JqjtXv": {
      "li_vanity": "at-JqjtXv",
      "title": "Research Assistant",
      "contact_availability": {
        "personal_email": true,
        "work_email": true,
        "phone": true
      },
      "contact_info": {
        "emails": [],
        "personal_emails": [],
        "work_emails": [],
        "work_email_status": {},
        "phones": []
      }
    }
  }
}

Cost

Consumes 1 search credit for each profile returned.

Consumes 1 email/phone credit for every profile where email/phone info is found, if reveal_info=true is specified.

People Count API

Get the total count of profiles matching the search criteria.

curl "https://api.contactout.com/v1/people/count" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '
  {
    "job_title": [
      "Vice President",
      "VP Of Product"
    ],
    "company": [
      "ContactOut"
    ],
    "location": [
      "Sydney, Australia"
    ]
  }
'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "total_results": 100000,
  "estimated_personal_emails": 72000,
  "estimated_work_emails": 85000,
  "estimated_phones": 45000
}

HTTP Request

POST https://api.contactout.com/v1/people/count

Query Parameters

This endpoint accepts the same parameters as the People Search API, except for page, data_types, and reveal_info.

Response

Response contains the total count of profiles matching the search criteria.

Parameter Type Description
status_code integer HTTP status code of the response
total_results integer Total number of profiles matching the search criteria
estimated_personal_emails integer Estimated number of profiles with a personal email
estimated_work_emails integer Estimated number of profiles with a work email
estimated_phones integer Estimated number of profiles with a phone number

Cost

Does not consume credits

Access

Only available to paid users

People Job Change Tracking API

Track LinkedIn profiles and get notified when a person's job title or company changes. Notifications are sent to your webhook URL and, optionally, by email.

Track Profiles

curl "https://api.contactout.com/v1/people/track" \
--request POST \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "authorization: basic" \
--header "token: <YOUR_API_TOKEN>" \
--data '
  {
    "linkedin_urls": [
      "https://linkedin.com/in/example-person-1",
      "https://linkedin.com/in/example-person-2"
    ],
    "callback_url": "https://example.com/webhooks/contactout",
    "notify_email": true
  }
'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "added": [
    {
      "input": "https://linkedin.com/in/example-person-1",
      "status": "ready"
    }
  ],
  "duplicates": [
    {
      "input": "https://linkedin.com/in/example-person-2",
      "status": "duplicate"
    }
  ],
  "rejected": [],
  "tracked_count": 1
}

Track Profiles - HTTP Request

POST https://api.contactout.com/v1/people/track

Track Profiles - Body Parameters

Parameter Type Required Description
linkedin_urls array, max:100 Yes LinkedIn profile URLs to track.
callback_url string No HTTPS URL that receives job change webhooks. Required at least once to set your webhook URL; optional after that. If provided, it overwrites your existing webhook URL.
notify_email boolean No Set to true to also email your account's contacts on each change, false to turn emails off. If omitted, the current setting is kept.

Track Profiles - Response

Parameter Type Description
status_code integer HTTP status code of the response
added array Profiles now being tracked. Each item has input and status
duplicates array Profiles you were already tracking. Each item has input and status
rejected array Profiles that could not be tracked. Each item has input and status, see below
tracked_count integer Number of profiles added by this request

Rejected status values:

Status Description
invalid The input is not a valid LinkedIn profile URL
not_found The profile was not found in our database
limit_reached You have reached the maximum of 1000 tracked profiles

Track Profiles - Cost

Tracking profiles is free, but you must have search credits remaining. If you have no credits left, the request fails and no profiles are tracked. Search credits are charged only when a change is detected. See Webhook for details.

List Tracked Profiles

curl "https://api.contactout.com/v1/people/track" \
--header "Accept: application/json" \
--header "authorization: basic" \
--header "token: <YOUR_API_TOKEN>"

The above command returns JSON structured like this:

{
  "status_code": 200,
  "count": 1,
  "profiles": [
    {
      "linkedin_url": "https://linkedin.com/in/example-person-1",
      "current_title": "Sales Manager",
      "current_company": "Acme Inc",
      "started_tracking_at": "2026-11-04T01:51:19+00:00",
      "last_updated_at": "2026-11-05T01:51:19+00:00"
    }
  ]
}

List Tracked Profiles - HTTP Request

GET https://api.contactout.com/v1/people/track

This endpoint takes no parameters.

List Tracked Profiles - Response

Parameter Type Description
status_code integer HTTP status code of the response
count integer Number of tracked profiles
profiles array Tracked profiles. Each item has:

linkedin_url - LinkedIn profile URL

current_title - Latest known job title

current_company - Latest known company name

started_tracking_at - Time tracking started

last_updated_at - Time the tracked profile was last updated

List Tracked Profiles - Cost

Does not consume credits

Untrack Profiles

curl "https://api.contactout.com/v1/people/track" \
--request DELETE \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "authorization: basic" \
--header "token: <YOUR_API_TOKEN>" \
--data '
  {
    "linkedin_urls": [
      "https://linkedin.com/in/example-person-1"
    ]
  }
'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "deleted": 1
}

Untrack Profiles - HTTP Request

DELETE https://api.contactout.com/v1/people/track

Untrack Profiles - Body Parameters

Parameter Type Required Description
linkedin_urls array, max:100 Yes LinkedIn profile URLs to stop tracking.

Untrack Profiles - Response

Parameter Type Description
status_code integer HTTP status code of the response
deleted integer Number of profiles removed from tracking

Untrack Profiles - Cost

Does not consume credits

People Tracking Webhook

We send a POST HTTP request to your callback_url when a job change is detected for a profile you track.

Example payload:

{
  "linkedin_url": "https://linkedin.com/in/example-person-1",
  "event": "people_job_change",
  "changes": [
    { "field": "title", "from": "Sales Manager", "to": "VP Sales" },
    { "field": "company", "from": "Acme Inc", "to": "Globex Corp" }
  ],
  "detected_at": "2026-11-05T01:51:19+00:00"
}

People Tracking Webhook - Payload Parameters

Parameter Type Description
linkedin_url string LinkedIn profile URL that changed
event string people_job_change
changes array What changed. Each item has field (title or company), from and to
detected_at string Time the change was detected

People Tracking Webhook - Cost

1 search credit per detected change.

Company Decision Maker Tracking API

Track companies by domain and get notified when their decision makers change: a decision maker joins, leaves, or changes role. Notifications are sent to your webhook URL and, optionally, by email.

The webhook URL and notify_email setting are shared with the People Job Change Tracking API.

Track Companies

curl "https://api.contactout.com/v1/company/track" \
--request POST \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "authorization: basic" \
--header "token: <YOUR_API_TOKEN>" \
--data '
  {
    "domains": [
      "acme.com",
      "globex.com"
    ],
    "callback_url": "https://example.com/webhooks/contactout",
    "notify_email": true
  }
'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "added": [
    {
      "input": "acme.com",
      "status": "ready"
    }
  ],
  "duplicates": [
    {
      "input": "globex.com",
      "status": "duplicate"
    }
  ],
  "rejected": [],
  "tracked_count": 1
}

Track Companies - HTTP Request

POST https://api.contactout.com/v1/company/track

Track Companies - Body Parameters

Parameter Type Required Description
domains array, max:100 Yes Company domains to track.
callback_url string No HTTPS URL that receives webhooks. Required at least once to set your webhook URL; optional after that. If provided, it overwrites your existing webhook URL.
notify_email boolean No Set to true to also email your account's contacts on each change, false to turn emails off. If omitted, the current setting is kept.

Track Companies - Response

Parameter Type Description
status_code integer HTTP status code of the response
added array Companies now being tracked. Each item has input and status
duplicates array Companies you were already tracking. Each item has input and status
rejected array Companies that could not be tracked. Each item has input and status, see below
tracked_count integer Number of companies added by this request

Rejected status values:

Status Description
invalid The input is not a valid domain
not_found No company matches the domain in our database

Track Companies - Cost

Tracking companies is free, but you must have search credits remaining. If you have no credits left, the request fails and no companies are tracked. Search credits are charged only when a change is detected. If you have no search credits left when a change is detected, no webhook or email is sent for it, and that change is not sent later. See Webhook for details.

List Tracked Companies

curl "https://api.contactout.com/v1/company/track" \
--header "Accept: application/json" \
--header "authorization: basic" \
--header "token: <YOUR_API_TOKEN>"

The above command returns JSON structured like this:

{
  "status_code": 200,
  "count": 1,
  "companies": [
    {
      "domain": "acme.com",
      "track": ["decision_makers"],
      "started_tracking_at": "2026-11-04T01:51:19+00:00",
      "last_updated_at": "2026-11-05T01:51:19+00:00"
    }
  ]
}

List Tracked Companies - HTTP Request

GET https://api.contactout.com/v1/company/track

This endpoint takes no parameters.

List Tracked Companies - Response

Parameter Type Description
status_code integer HTTP status code of the response
count integer Number of tracked companies
companies array Tracked companies. Each item has:

domain - Company domain

track - What is tracked. Currently always ["decision_makers"]

started_tracking_at - Time tracking started

last_updated_at - Time the tracked company was last updated

List Tracked Companies - Cost

Does not consume credits

Untrack Companies

curl "https://api.contactout.com/v1/company/track" \
--request DELETE \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "authorization: basic" \
--header "token: <YOUR_API_TOKEN>" \
--data '
  {
    "domains": [
      "acme.com"
    ]
  }
'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "deleted": 1
}

Untrack Companies - HTTP Request

DELETE https://api.contactout.com/v1/company/track

Untrack Companies - Body Parameters

Parameter Type Required Description
domains array, max:100 Yes Company domains to stop tracking.

Untrack Companies - Response

Parameter Type Description
status_code integer HTTP status code of the response
deleted integer Number of companies removed from tracking

Untrack Companies - Cost

Does not consume credits

Company Tracking Webhook

We send a POST HTTP request to your callback_url when a decision maker joins, leaves, or changes role at a company you track. We send one webhook per event type, and each webhook can include multiple profile changes (up to 100).

For example, if 3 decision makers join and 2 leave acme.com, you receive two webhooks: one decision_maker_join event with 3 profiles and one decision_maker_exit event with 2 profiles. This charges 5 search credits in total (1 per profile listed).

Example payload for decision_maker_role_change:

{
  "domain": "acme.com",
  "event": "decision_maker_role_change",
  "profiles": [
    {
      "name": "Jane Doe",
      "linkedin_url": "https://www.linkedin.com/in/example-person-1",
      "title": "Chief Revenue Officer",
      "previous_title": "VP Sales"
    }
  ],
  "total_count": 1,
  "detected_at": "2026-11-05T01:51:19+00:00"
}

Company Tracking Webhook - Payload Parameters

Parameter Type Description
domain string Tracked company domain
event string decision_maker_join, decision_maker_exit or decision_maker_role_change
profiles array Affected decision makers. Up to 100 per webhook
profiles[].name string Full name
profiles[].linkedin_url string LinkedIn profile URL
profiles[].title string Title at the company. For decision_maker_exit, the last known title
profiles[].previous_title string Only for decision_maker_role_change: the previous title
total_count integer Number of affected decision makers for this event. Can be more than the number of profiles when over 100 decision makers changed. The extra profiles are not sent or charged
detected_at string Time the change was detected

Company Tracking Webhook - Cost

1 search credit per affected decision maker listed in the webhooks (max 100 per event type per detected change).

Decision Makers API

Get profiles of key decision makers within a specified company.

curl "https://api.contactout.com/v1/people/decision-makers?reveal_info=true&linkedin_url=https://linkedin.com/company/contactout" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>"

The above command returns JSON structured like this:

{
  "status_code": 200,
  "metadata": {
    "page": 1,
    "page_size": 25,
    "total_results": 8
  },
  "profiles": {
    "https://www.linkedin.com/in/rob-liu": {
      "full_name": "Rob Liu",
      "li_vanity": "robliu",
      "title": "CEO / Founder",
      "headline": "Founder at Contactout",
      "company": {
        "name": "ContactOut",
        "website": "http://contactout.com",
        "domain": "contactout.com",
        "email_domain": "contactout.com",
        "headquarter": "San Francisco, US",
        "size": 96,
        "revenue": 10000,
        "industry": "Computer Software"
      },
      "location": "Singapore",
      "industry": "Computer Software",
      "experience": [
        "CEO / Founder at ContactOut in 2015 - Present",
        "Limited Partner at Blackbird in 2020 - Present",
        "Limited Partner at Hustle Fund in 2021 - Present",
        "Visiting Partner at Iterative in 2023 - Present"
      ],
      "education": [
        "UNSW in 2008 - 2011"
      ],
      "skills": [
        "Start-ups",
        "Entrepreneurship",
        "Online Advertising",
        "Social Media Marketing",
        "Digital Marketing",
        "Web Analytics",
        "Digital Media",
        "Project Management",
        "Laravel",
        "Test Driven Development"
      ],
      "volunteering_experiences": [
        {
          "role": "Career Coach",
          "company_name": "Local Community Center",
          "company_url": "https://www.linkedin.com/company/12345/",
          "cause": "education",
          "company_id": 12345,
          "start_date_year": 2018,
          "start_date_month": 4,
          "end_date_year": 2019,
          "end_date_month": 8
        }
      ],
      "updated_at": "2024-04-03 17:15:14",
      "profile_picture_url": "https://images.contactout.com/profiles/ca33f14227b1e5d3a1d53b0b5ca36fc8",
      "job_function": "Design",
      "seniority": "Manager",
      "contact_availability": {
        "work_email": true,
        "personal_email": true,
        "phone": true
      },
      "contact_info": {
        "emails": [
          "[email protected]",
          "[email protected]"
        ],
        "personal_emails": [
          "[email protected]"
        ],
        "work_emails": [
          "[email protected]"
        ],
        "work_email_status": {
          "[email protected]": "Verified"
        },
        "phones": [
          "+123456789"
        ]
      }
    }
  }
}

HTTP Request

GET https://api.contactout.com/v1/people/decision-makers?{domain=&name=&linkedin_url=&reveal_info=}

Query Parameters

This endpoint requires at least one of the following three parameters: linkedin_url, domain, or name. The endpoint accepts any combination of these parameters to identify the most relevant company match.

Parameter Type Description
linkedin_url string, optional The fully formed URL of the company's LinkedIn profile. URL must begin with http and must contain linkedin.com/company/. Accepts both the numeric or string version of the URL, e.g. https://linkedin.com/company/contactout or https://linkedin.com/company/27090845
domain string, optional The domain name of the company's website, e.g. example.com
name string, optional The name of the company
page integer, optional Provides results for the given page
reveal_info boolean, default: false If set to true, contact_info will contain the emails and phone numbers of the profile and credits will be charged

Response Parameters

Response contains the meta information and the matching list of profiles. Each profile contains the information like title, headline, company details, experience, skills etc. It also lists the contact availability and contact information fields.

Field Type Description
contact_info array Returns an array containing contact information including email and phone numbers
contact_availability array Returns an array determining whether the profile contains the contact information

Cost

Consumes 1 search credit for each profile returned.

Consumes 1 email/phone credit for every profile where email/phone info is found, if reveal_info=true is specified.

Company Search API

Get company profiles matching the search criteria.

curl "https://api.contactout.com/v1/company/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "token: <YOUR_API_TOKEN>" \
--data '
  {
    "page": 1,
    "name": ["ContactOut"],
    "domain": ["contactout.com"],
    "size": ["1_10"],
    "hq_only": false,
    "location": ["United States"],
    "industry": ["Software"],
    "min_revenue": 1000000,
    "max_revenue": 50000000,
    "year_founded_from": 2000,
    "year_founded_to": 2024,
    "technologies": ["Salesforce", "HubSpot AND AWS"],
    "min_funding_amount": 1000000,
    "max_funding_amount": 50000000,
    "recently_funded": true,
    "is_currently_hiring": true,
    "hiring_job_titles": ["Software Engineer", "Product Manager"],
    "hiring_locations": ["New York", "Remote"]
  }
'

The above command returns JSON structured like this:

{
  "status_code": 200,
  "metadata": {
    "page": 1,
    "page_size": 25,
    "total_results": 1
  },
  "companies": [
    {
      "name": "ContactOut",
      "url": "https://linkedin.com/company/contactout",
      "domain": "contactout.com",
      "email_domain": "contactout.com",
[...]
